//go:generate mockgen -package mocks -source restore_grpc.pb.go -destination mocks/restore.go

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.19.1
// source: infranetes/autodevops/v1/restore.proto

package v1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type FetchRestoreToProcessRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *FetchRestoreToProcessRequest) Reset() {
	*x = FetchRestoreToProcessRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FetchRestoreToProcessRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FetchRestoreToProcessRequest) ProtoMessage() {}

func (x *FetchRestoreToProcessRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FetchRestoreToProcessRequest.ProtoReflect.Descriptor instead.
func (*FetchRestoreToProcessRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_restore_proto_rawDescGZIP(), []int{0}
}

type RestorePvc struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name        string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	PvcSpec     string `protobuf:"bytes,2,opt,name=pvc_spec,json=pvcSpec,proto3" json:"pvc_spec,omitempty"`
	ContentSpec string `protobuf:"bytes,3,opt,name=content_spec,json=contentSpec,proto3" json:"content_spec,omitempty"`
}

func (x *RestorePvc) Reset() {
	*x = RestorePvc{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RestorePvc) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RestorePvc) ProtoMessage() {}

func (x *RestorePvc) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RestorePvc.ProtoReflect.Descriptor instead.
func (*RestorePvc) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_restore_proto_rawDescGZIP(), []int{1}
}

func (x *RestorePvc) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *RestorePvc) GetPvcSpec() string {
	if x != nil {
		return x.PvcSpec
	}
	return ""
}

func (x *RestorePvc) GetContentSpec() string {
	if x != nil {
		return x.ContentSpec
	}
	return ""
}

type FetchRestore struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        string        `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Namespace string        `protobuf:"bytes,2,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Pvcs      []*RestorePvc `protobuf:"bytes,3,rep,name=pvcs,proto3" json:"pvcs,omitempty"`
}

func (x *FetchRestore) Reset() {
	*x = FetchRestore{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FetchRestore) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FetchRestore) ProtoMessage() {}

func (x *FetchRestore) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FetchRestore.ProtoReflect.Descriptor instead.
func (*FetchRestore) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_restore_proto_rawDescGZIP(), []int{2}
}

func (x *FetchRestore) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *FetchRestore) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *FetchRestore) GetPvcs() []*RestorePvc {
	if x != nil {
		return x.Pvcs
	}
	return nil
}

type FetchRestoreToProcessResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Restore *FetchRestore `protobuf:"bytes,1,opt,name=restore,proto3" json:"restore,omitempty"`
}

func (x *FetchRestoreToProcessResponse) Reset() {
	*x = FetchRestoreToProcessResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FetchRestoreToProcessResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FetchRestoreToProcessResponse) ProtoMessage() {}

func (x *FetchRestoreToProcessResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FetchRestoreToProcessResponse.ProtoReflect.Descriptor instead.
func (*FetchRestoreToProcessResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_restore_proto_rawDescGZIP(), []int{3}
}

func (x *FetchRestoreToProcessResponse) GetRestore() *FetchRestore {
	if x != nil {
		return x.Restore
	}
	return nil
}

type UpdateRestorePvc struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name        string                 `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Phase       string                 `protobuf:"bytes,2,opt,name=phase,proto3" json:"phase,omitempty"`
	Description string                 `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`
	FinishedAt  *timestamppb.Timestamp `protobuf:"bytes,4,opt,name=finished_at,json=finishedAt,proto3" json:"finished_at,omitempty"`
}

func (x *UpdateRestorePvc) Reset() {
	*x = UpdateRestorePvc{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateRestorePvc) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateRestorePvc) ProtoMessage() {}

func (x *UpdateRestorePvc) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateRestorePvc.ProtoReflect.Descriptor instead.
func (*UpdateRestorePvc) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_restore_proto_rawDescGZIP(), []int{4}
}

func (x *UpdateRestorePvc) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *UpdateRestorePvc) GetPhase() string {
	if x != nil {
		return x.Phase
	}
	return ""
}

func (x *UpdateRestorePvc) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *UpdateRestorePvc) GetFinishedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.FinishedAt
	}
	return nil
}

type UpdateRestoreRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Phase       string                 `protobuf:"bytes,2,opt,name=phase,proto3" json:"phase,omitempty"`
	Description string                 `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`
	Pvcs        []*UpdateRestorePvc    `protobuf:"bytes,4,rep,name=pvcs,proto3" json:"pvcs,omitempty"`
	StartedAt   *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=started_at,json=startedAt,proto3" json:"started_at,omitempty"`
	FinishedAt  *timestamppb.Timestamp `protobuf:"bytes,6,opt,name=finished_at,json=finishedAt,proto3" json:"finished_at,omitempty"`
}

func (x *UpdateRestoreRequest) Reset() {
	*x = UpdateRestoreRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateRestoreRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateRestoreRequest) ProtoMessage() {}

func (x *UpdateRestoreRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateRestoreRequest.ProtoReflect.Descriptor instead.
func (*UpdateRestoreRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_restore_proto_rawDescGZIP(), []int{5}
}

func (x *UpdateRestoreRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *UpdateRestoreRequest) GetPhase() string {
	if x != nil {
		return x.Phase
	}
	return ""
}

func (x *UpdateRestoreRequest) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *UpdateRestoreRequest) GetPvcs() []*UpdateRestorePvc {
	if x != nil {
		return x.Pvcs
	}
	return nil
}

func (x *UpdateRestoreRequest) GetStartedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.StartedAt
	}
	return nil
}

func (x *UpdateRestoreRequest) GetFinishedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.FinishedAt
	}
	return nil
}

type UpdateRestoreResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *UpdateRestoreResponse) Reset() {
	*x = UpdateRestoreResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateRestoreResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateRestoreResponse) ProtoMessage() {}

func (x *UpdateRestoreResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_restore_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateRestoreResponse.ProtoReflect.Descriptor instead.
func (*UpdateRestoreResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_restore_proto_rawDescGZIP(), []int{6}
}

var File_infranetes_autodevops_v1_restore_proto protoreflect.FileDescriptor

var file_infranetes_autodevops_v1_restore_proto_rawDesc = []byte{
	0x0a, 0x26, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2f, 0x61, 0x75, 0x74,
	0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2f, 0x76, 0x31, 0x2f, 0x72, 0x65, 0x73, 0x74, 0x6f,
	0x72, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1c, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76,
	0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x1e, 0x0a, 0x1c, 0x46, 0x65, 0x74, 0x63, 0x68,
	0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x54, 0x6f, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x5e, 0x0a, 0x0a, 0x52, 0x65, 0x73, 0x74, 0x6f,
	0x72, 0x65, 0x50, 0x76, 0x63, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x19, 0x0a, 0x08, 0x70, 0x76, 0x63,
	0x5f, 0x73, 0x70, 0x65, 0x63, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x70, 0x76, 0x63,
	0x53, 0x70, 0x65, 0x63, 0x12, 0x21, 0x0a, 0x0c, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x5f,
	0x73, 0x70, 0x65, 0x63, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x63, 0x6f, 0x6e, 0x74,
	0x65, 0x6e, 0x74, 0x53, 0x70, 0x65, 0x63, 0x22, 0x7a, 0x0a, 0x0c, 0x46, 0x65, 0x74, 0x63, 0x68,
	0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1c, 0x0a, 0x09, 0x6e, 0x61, 0x6d, 0x65, 0x73,
	0x70, 0x61, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6e, 0x61, 0x6d, 0x65,
	0x73, 0x70, 0x61, 0x63, 0x65, 0x12, 0x3c, 0x0a, 0x04, 0x70, 0x76, 0x63, 0x73, 0x18, 0x03, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e,
	0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2e,
	0x76, 0x31, 0x2e, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x50, 0x76, 0x63, 0x52, 0x04, 0x70,
	0x76, 0x63, 0x73, 0x22, 0x65, 0x0a, 0x1d, 0x46, 0x65, 0x74, 0x63, 0x68, 0x52, 0x65, 0x73, 0x74,
	0x6f, 0x72, 0x65, 0x54, 0x6f, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x44, 0x0a, 0x07, 0x72, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72,
	0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70,
	0x73, 0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x74, 0x63, 0x68, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72,
	0x65, 0x52, 0x07, 0x72, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x22, 0x9b, 0x01, 0x0a, 0x10, 0x55,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x50, 0x76, 0x63, 0x12,
	0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x70, 0x68, 0x61, 0x73, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x05, 0x70, 0x68, 0x61, 0x73, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73,
	0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b,
	0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x3b, 0x0a, 0x0b, 0x66,
	0x69, 0x6e, 0x69, 0x73, 0x68, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0a, 0x66, 0x69,
	0x6e, 0x69, 0x73, 0x68, 0x65, 0x64, 0x41, 0x74, 0x22, 0x9a, 0x02, 0x0a, 0x14, 0x55, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69,
	0x64, 0x12, 0x14, 0x0a, 0x05, 0x70, 0x68, 0x61, 0x73, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x05, 0x70, 0x68, 0x61, 0x73, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72,
	0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65,
	0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x42, 0x0a, 0x04, 0x70, 0x76, 0x63,
	0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76,
	0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73,
	0x74, 0x6f, 0x72, 0x65, 0x50, 0x76, 0x63, 0x52, 0x04, 0x70, 0x76, 0x63, 0x73, 0x12, 0x39, 0x0a,
	0x0a, 0x73, 0x74, 0x61, 0x72, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x73,
	0x74, 0x61, 0x72, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x3b, 0x0a, 0x0b, 0x66, 0x69, 0x6e, 0x69,
	0x73, 0x68, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0a, 0x66, 0x69, 0x6e, 0x69, 0x73,
	0x68, 0x65, 0x64, 0x41, 0x74, 0x22, 0x17, 0x0a, 0x15, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52,
	0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0xa1,
	0x02, 0x0a, 0x0e, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x12, 0x92, 0x01, 0x0a, 0x15, 0x46, 0x65, 0x74, 0x63, 0x68, 0x52, 0x65, 0x73, 0x74, 0x6f,
	0x72, 0x65, 0x54, 0x6f, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x3a, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74,
	0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x74, 0x63, 0x68,
	0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x54, 0x6f, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x3b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76,
	0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x74, 0x63, 0x68, 0x52, 0x65, 0x73, 0x74,
	0x6f, 0x72, 0x65, 0x54, 0x6f, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x7a, 0x0a, 0x0d, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x12, 0x32, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76,
	0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73,
	0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x33, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74,
	0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x22, 0x00, 0x42, 0x27, 0x5a, 0x25, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2f, 0x62, 0x61, 0x63, 0x6b,
	0x75, 0x70, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x76, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_infranetes_autodevops_v1_restore_proto_rawDescOnce sync.Once
	file_infranetes_autodevops_v1_restore_proto_rawDescData = file_infranetes_autodevops_v1_restore_proto_rawDesc
)

func file_infranetes_autodevops_v1_restore_proto_rawDescGZIP() []byte {
	file_infranetes_autodevops_v1_restore_proto_rawDescOnce.Do(func() {
		file_infranetes_autodevops_v1_restore_proto_rawDescData = protoimpl.X.CompressGZIP(file_infranetes_autodevops_v1_restore_proto_rawDescData)
	})
	return file_infranetes_autodevops_v1_restore_proto_rawDescData
}

var file_infranetes_autodevops_v1_restore_proto_msgTypes = make([]protoimpl.MessageInfo, 7)
var file_infranetes_autodevops_v1_restore_proto_goTypes = []interface{}{
	(*FetchRestoreToProcessRequest)(nil),  // 0: api.infranetes.autodevops.v1.FetchRestoreToProcessRequest
	(*RestorePvc)(nil),                    // 1: api.infranetes.autodevops.v1.RestorePvc
	(*FetchRestore)(nil),                  // 2: api.infranetes.autodevops.v1.FetchRestore
	(*FetchRestoreToProcessResponse)(nil), // 3: api.infranetes.autodevops.v1.FetchRestoreToProcessResponse
	(*UpdateRestorePvc)(nil),              // 4: api.infranetes.autodevops.v1.UpdateRestorePvc
	(*UpdateRestoreRequest)(nil),          // 5: api.infranetes.autodevops.v1.UpdateRestoreRequest
	(*UpdateRestoreResponse)(nil),         // 6: api.infranetes.autodevops.v1.UpdateRestoreResponse
	(*timestamppb.Timestamp)(nil),         // 7: google.protobuf.Timestamp
}
var file_infranetes_autodevops_v1_restore_proto_depIdxs = []int32{
	1, // 0: api.infranetes.autodevops.v1.FetchRestore.pvcs:type_name -> api.infranetes.autodevops.v1.RestorePvc
	2, // 1: api.infranetes.autodevops.v1.FetchRestoreToProcessResponse.restore:type_name -> api.infranetes.autodevops.v1.FetchRestore
	7, // 2: api.infranetes.autodevops.v1.UpdateRestorePvc.finished_at:type_name -> google.protobuf.Timestamp
	4, // 3: api.infranetes.autodevops.v1.UpdateRestoreRequest.pvcs:type_name -> api.infranetes.autodevops.v1.UpdateRestorePvc
	7, // 4: api.infranetes.autodevops.v1.UpdateRestoreRequest.started_at:type_name -> google.protobuf.Timestamp
	7, // 5: api.infranetes.autodevops.v1.UpdateRestoreRequest.finished_at:type_name -> google.protobuf.Timestamp
	0, // 6: api.infranetes.autodevops.v1.RestoreService.FetchRestoreToProcess:input_type -> api.infranetes.autodevops.v1.FetchRestoreToProcessRequest
	5, // 7: api.infranetes.autodevops.v1.RestoreService.UpdateRestore:input_type -> api.infranetes.autodevops.v1.UpdateRestoreRequest
	3, // 8: api.infranetes.autodevops.v1.RestoreService.FetchRestoreToProcess:output_type -> api.infranetes.autodevops.v1.FetchRestoreToProcessResponse
	6, // 9: api.infranetes.autodevops.v1.RestoreService.UpdateRestore:output_type -> api.infranetes.autodevops.v1.UpdateRestoreResponse
	8, // [8:10] is the sub-list for method output_type
	6, // [6:8] is the sub-list for method input_type
	6, // [6:6] is the sub-list for extension type_name
	6, // [6:6] is the sub-list for extension extendee
	0, // [0:6] is the sub-list for field type_name
}

func init() { file_infranetes_autodevops_v1_restore_proto_init() }
func file_infranetes_autodevops_v1_restore_proto_init() {
	if File_infranetes_autodevops_v1_restore_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_infranetes_autodevops_v1_restore_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FetchRestoreToProcessRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_restore_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RestorePvc); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_restore_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FetchRestore); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_restore_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FetchRestoreToProcessResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_restore_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateRestorePvc); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_restore_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateRestoreRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_restore_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateRestoreResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_infranetes_autodevops_v1_restore_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   7,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_infranetes_autodevops_v1_restore_proto_goTypes,
		DependencyIndexes: file_infranetes_autodevops_v1_restore_proto_depIdxs,
		MessageInfos:      file_infranetes_autodevops_v1_restore_proto_msgTypes,
	}.Build()
	File_infranetes_autodevops_v1_restore_proto = out.File
	file_infranetes_autodevops_v1_restore_proto_rawDesc = nil
	file_infranetes_autodevops_v1_restore_proto_goTypes = nil
	file_infranetes_autodevops_v1_restore_proto_depIdxs = nil
}
